Bug 1418741 - Change the CA + trust input format given from ca-certificates to p11-kit-trust
Summary: Change the CA + trust input format given from ca-certificates to p11-kit-trust
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ca-certificates
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1400293 1418739
TreeView+ depends on / blocked
 
Reported: 2017-02-02 15:33 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2017-04-19 22:18 UTC (History)
6 users (show)

Fixed In Version: ca-certificates-2017.2.11-4.fc26 ca-certificates-2017.2.11-1.1.fc25 ca-certificates-2017.2.11-1.1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-13 23:51:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 99797 None None None 2017-02-13 19:56:42 UTC

Description Kai Engert (:kaie) (inactive account) 2017-02-02 15:33:23 UTC
To fix bug 1400293, we must enable Firefox to distinguish between Mozilla CAs and other, locally installed CAs.

Before we can support the new attribute (bug 1418739), we must change how the ca-certificates package passes data to p11-kit-trust.

As of today, we use the BEGIN TRUST CERTIFICATE file format

p11-kit supports loading both certificate and individual web/email/code trust flag information from that file format, but that file format isn't flexible, and doesn't allow passing of additional attributes to p11-kit-trust.

Before we can implement bug 1418739, we must do a preparation step, and stop using that file format, and switch to use the [p11-kit-object-v1] file format, which has more flexibility.

I want to make that change to the ca-certificates package separately from bug 1418739, as an earlier preparation step.

Comment 1 Kai Engert (:kaie) (inactive account) 2017-02-13 19:55:49 UTC
Using Stef's new "trust dump" command, inspecting its output, and using multiple rounds of comparisons, I was able to implement this change.

There's a minor remaining issue, when using the new file format, the certificates and trust objects have pkcs#11 attribute "modifiable: true" set, I don't know if that could cause any problems.

I'll commit this change to Fedora Rawhide, to start testing.

Comment 2 Kai Engert (:kaie) (inactive account) 2017-02-23 18:43:57 UTC
I haven't seen any bug reports. Marking fixed.

Comment 3 Fedora Update System 2017-04-05 11:42:46 UTC
ca-certificates-2017.2.11-1.1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a11057f70e

Comment 4 Fedora Update System 2017-04-05 12:37:14 UTC
ca-certificates-2017.2.11-1.1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3753e75f72

Comment 5 Fedora Update System 2017-04-05 19:54:18 UTC
ca-certificates-2017.2.11-1.1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3753e75f72

Comment 6 Fedora Update System 2017-04-05 19:54:47 UTC
ca-certificates-2017.2.11-1.1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a11057f70e

Comment 7 Fedora Update System 2017-04-13 11:50:50 UTC
ca-certificates-2017.2.11-1.1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3753e75f72

Comment 8 Fedora Update System 2017-04-13 15:20:21 UTC
ca-certificates-2017.2.11-1.1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3753e75f72

Comment 9 Fedora Update System 2017-04-13 23:51:25 UTC
ca-certificates-2017.2.11-1.1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-04-19 22:18:09 UTC
ca-certificates-2017.2.11-1.1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.